#!/bin/ksh

. $PWD/setupCmdLine.sh

# Setup the classpath
WAS_CP=$WAS_HOME/lib/jacl.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/tcljava.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/ibmwebas.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/ejscp.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/xml4j.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/ujc.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/ejs.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/console.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/admin.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/repository.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/tasks.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/servlet.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/sslight.jar
WAS_CP=$WAS_CP:$WAS_HOME/properties
WAS_CP=$WAS_CP:$JAVA_HOME/lib/classes.zip
WAS_CP=$WAS_CP:$JAVA_HOME/lib/tools.jar
export CLASSPATH=$WAS_CP

# Setup the library path
LP=$LP:$WAS_HOME/bin
LP=$LP:$LD_LIBRARY_PATH

PLATFORM=`/bin/uname`

case $PLATFORM in 
    SunOS ) export LD_LIBRARY_PATH=$LP; JAVA_EXE=$JAVA_HOME/jre/bin/java ;;
    AIX )   export LIBPATH=$LP; JAVA_EXE=$JAVA_HOME/jre/sh/java ;; 
    HP-UX ) export SHLIB_PATH=$LP; JAVA_EXE="$JAVA_HOME/bin/java -classic" ;;
    * )     JAVA_EXE=java ;; 
esac

# These are wscp-specific options
SHELL=com.ibm.ejs.sm.ejscp.WscpShell
EXT="-x com.ibm.ejs.sm.ejscp.RemoteExtension"
EXT="$EXT -x com.ibm.ejs.sm.ejscp.ContextExtension"
EXT="$EXT -x com.ibm.ejs.sm.ejscp.DrAdminExtension"
EXT="$EXT -x com.ibm.ejs.sm.ejscp.EjscpExtension"

$JAVA_EXE -Dserver.root=$WAS_HOME $SHELL $EXT "$@"

exit $?
