//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: ejbdemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.2 src/ejb/java/com/ibm/ejs/doc/account/Account.java, ejbdemo, boss 5/21/99 14:22:26 [5/25/99 15:37:30]

package com.ibm.ejs.doc.account;

/**
* The remote interface of the Account entity bean.
*/

import java.rmi.*;
import javax.ejb.*;

public interface Account extends EJBObject {
/**
 * Adds the specified amount to the account balance and returns the new balance.
 * @return float The new balance in the account after the method executes.
 * @param amount float The amount to add to the account balance.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 */
float add(float amount) throws RemoteException;
/**
 * Returns the balance for the account.
 * @return float The balance in the account.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 */
float getBalance() throws RemoteException;
/**
 * Sets the account balance to the specified amount.
 * @param amount float The new account balance.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 */
void setBalance(float amount) throws RemoteException;
/**
 * Subtracts the specified amount from the account balance and returns the new balance.
 * @return float The new balance in the account after the method executes.
 * @param amount float The amount to subtract from the account balance.
 * @exception com.ibm.ejs.doc.account.InsufficientFundsException when insufficient funds exist to complete the transfer.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 */
float subtract(float amount) throws InsufficientFundsException, RemoteException;
}
