//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: ejbdemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.1 src/ejb/java/com/ibm/ejs/doc/accountBM/AccountBMHome.java, ejbdemo, boss 5/5/99 10:19:47 [5/25/99 15:38:05]
package com.ibm.ejs.doc.accountBM;

/**
 * The home interface of the AccountBM entity bean.
 **/

import java.rmi.*;
import javax.ejb.*;
import java.util.*;

public interface AccountBMHome extends javax.ejb.EJBHome { 
/**
 * Creates the EJB object for the account Id encapsulated in the AccountBMKey object
 * by invoking the other ejbCreate method with default values for the account type 
 * (1 for savings) and the initial balance (0). Invoking this method directs the container
 * to invoking the corresponding ejbCreate method, which instantiates a corresponding bean
 * instance.
 * @return com.ibm.ejs.doc.accountBM.AccountBM The AccountBM EJB object.
 * @param key com.ibm.ejs.doc.accountBM.AccountBMKey The AccountBMKey object that encapsulates the
 * account Id used to create the specified account.
 * @exception javax.ejb.CreateException The AccountBM bean instance was not created.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 */
AccountBM create(AccountBMKey key) throws CreateException, RemoteException;
/**
 * Creates the bean instance for the account Id encapsulated in the AccountBMKey object.
 * Invoking this method directs the container to invoke the corresponding ejbCreate method, 
 * which instantiates a corresponding bean instance.
 * @return com.ibm.ejs.doc.accountBM.AccountBM The AccountBM EJB object.
 * @param key com.ibm.ejs.doc.account.AccountBM The AccountBMKey that encapsulates the 
 * accountId of the account for which the method is searching. 
 * @param type int The type of the account to be created: 1 for savings, 2 for checking.
 * @param initialBalance float The initial balance contained in the account.
 * @exception javax.ejb.CreateException The AccountBM bean instance was not created.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 */
AccountBM create(AccountBMKey key, int type, float amount) throws CreateException, RemoteException;
/**
 * Determines if an account with the accountId encapsulated in the AccountBMKey object
 * exists. If only one account exists, the method returns the AccountBM EJB object.
 * @return key com.ibm.ejs.doc.accountBM.AccountBMKey The AccountBM EJB object that encapsulates
 * the the account found by the method.
 * @param key com.ibm.ejs.doc.accountBM.AccountBMKey The AccountBMKey object that encapsulates
 * the accountId of the account for which the method is searching.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 * @exception javax.ejb.FinderException The accountId encapsulated in the key was not found.
 */
AccountBM findByPrimaryKey(AccountBMKey key) throws FinderException, RemoteException;
/**
 * 
 * Finds all accounts with a balance greater than the specified amount.
 * @return java.util.Enumeration The collection of accounts that contain balances greater than
 * the specified amount.
 * @param amount float The balance that an account must contain to be returned by this method.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 * @exception javax.ejb.FinderException No account contained more than the specified amount.
 */
Enumeration findLargeAccounts(float amount) throws RemoteException, FinderException;
}
