//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: ejbdemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.2 src/ejb/java/com/ibm/ejs/doc/account/AccountHome.java, ejbdemo, boss 5/13/99 16:05:15 [5/25/99 15:37:38]
package com.ibm.ejs.doc.account;

/**
 * The home interface of the Account entity bean.
 **/

import java.rmi.*;
import java.util.*;
import javax.ejb.*;

public interface  AccountHome extends javax.ejb.EJBHome { 
/**
 * Creates an Account EJB object and an AccountBean bean instance with the specified
 * AccountKey. The account type is set to 1 (savings) and the balance is set to 0.
 * @return com.ibm.ejs.doc.account.Account The Account EJB object.
 * @param key com.ibm.ejs.doc.account.AccountKey The AccountKey object containing the
 * account Id of the account to be created.
 * @exception javax.ejb.CreateException The Account EJB object was not created.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 */
Account create(AccountKey id) throws CreateException, RemoteException;
/**
 * Creates an Account EJB object and an AccountBean bean instance with the specified
 * AccountKey, account type, and account balance.
 * @return com.ibm.ejs.doc.account.Account The Account EJB object.
 * @param key com.ibm.ejs.doc.account.AccountKey The AccountKey object containing the
 * account Id of the account to be created.
 * @param type int The account type of the account being created. A 1 specifies savings,
 * a 2 specifies checking.
 * @param initialBalance float The initial balance contained in the newly created account.
 * @exception javax.ejb.CreateException The Account EJB object was not created.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 */
Account create(AccountKey id, int type, float initialBalance) throws CreateException, RemoteException;
/**
* Finds the account uniquely identifies by the account Id encapsulated in the AccountKey object
* and returns the Account EJB object.
* @return com.ibm.ejs.doc.account.Account The Account EJB object.
* @param key com.ibm.ejs.doc.account.AccountKey The AccountKey object that encapsulates the
* account Id used to find the specified account.
* @exception java.rmi.RemoteException A server-side exception caused the method to fail.
* @exception javax.ejb.FinderException The specified account Id was not found.
*/
public Account findByPrimaryKey (AccountKey id) throws RemoteException, FinderException;

/**
* Finds all accounts with a balance greater than the specified amount.
* @return java.util.Enumeration The collection of accounts that contain balances greater than
* the specified amount.
* @param amount float The balance that account must contain to be returned by this method.
* @exception java.rmi.RemoteException A server-side exception caused the method to fail.
* @exception javax.ejb.FinderException No account contained more than the specified amount.
*/
    //Commented out because not supported in CB 2.0
    //  Enumeration findLargeAccounts(float amount) throws RemoteException, FinderException;
}
