//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: ejbdemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1998
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.3 src/ejb/java/com/ibm/ejs/doc/account/AccountResourceBundle.java, bbMessages, boss 5/13/99 15:57:35 [6/2/99 08:33:33]


package com.ibm.ejs.doc.account;

import java.util.ListResourceBundle;

/**
 * The <b>AccountResourceBundle</b> provides locale specific
 * support for the <b>AccountBeanBM</b> and <b>AccountBean</b> classes.
 * Within IBM, "locale specific support" is also known
 * as "National Language Support" or "NLS."
 *
 */
public class AccountResourceBundle extends ListResourceBundle {

    // copyright notice
    private final static String kIBMCopyright =
           "(c) Copyright IBM Corporation 1999";

   /**
     Constructs a new <b>AccountResourceBundle</b>.
   */
   public AccountResourceBundle () {
     super();
   }

   /**
     Returns the two-dimensional array of Strings which provide the
     locale specific support.  The array is a set of non-variant keys
     which map to the locale specific implementation of the "message."

     @return Two-dimensional array of Strings.
   */
   public Object[][] getContents() {
      return contents;
   }

   /** Final, static instance variable which holds the locale specific information. */
   static final Object[][] contents = {
     // LOCALIZE THIS

     {"createFailed",       "Create of key \"{0}\" failed"},
     {"loadFailed",         "Load found {0} rows of data for key \"{1}\""},
     {"storeFailed",        "Store of key \"{0}\" failed"},
     {"removeFailed",       "Remove of key \"{0}\" failed"},
     
     {"insufficientFunds",  "Insufficient funds for this debit operation."},
     {"accountBMBean",      "AccountBMBean -- "},
     {"dropFailed",         "dropConnection : ERROR closing JDBC Connection"},
     {"cantCommit",         "dropConnection : ERROR during JDBC commit"},
     {"errUpdate",          "ejbCreate : ERROR : updated \"{0}\" rows"},
     {"errStore",           "ejbStore : ERROR : updated \"{0}\" rows"},

     {"keyNotFound",        "Key \"{0}\" not found"},
     {"tooManyKeys",        "Multiple rows of data for key \"{0}\" found"},
     {"dbConnectionFailed", "Connecting to the database failed"},
     {"errDB",              "ERROR working with db"},
     {"errRemove",          "ejbRemove : ERROR : deleted \"{0}\" rows"},
     {"errInitCtx",         "Exception retrieving the initial context"},
     {"errLookup",          "Exception retrieving the home"},

     {"noContext",          "No EntityContext has been set"},
     {"noEnvironment",      "No environmental properties exist"},
     {"envNotSet",          "Environment property \"{0}\" not set"},

     // END OF MATERIAL TO LOCALIZE
   };
}
