//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: ejbdemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.1 src/ejb/java/com/ibm/ejs/doc/transfer/Transfer.java, ejbdemo, boss 3/24/99 15:56:02 [5/25/99 15:39:19]

package com.ibm.ejs.doc.transfer;

/**
* The remote interface of the Transfer session bean.
*/

import javax.ejb.*;
import java.rmi.*;
import com.ibm.ejs.doc.account.*;

public interface Transfer extends EJBObject {
/**
 * Returns the balance of the account identified by the acctId parameter.
 * @return float The account balance.
 * @param acctId long The account Id for which a balance is returned.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 * @exception javax.ejb.FinderException The specified account Id was not found.
 */
float getBalance(long acctId) throws FinderException, RemoteException;
/**
 * Transfers the specified amount from the fromAcctId to the toAcctId.
 * @param fromAcctId long The account Id of the account from which the amount is transfered.
 * @param toAcctId long The account Id of the account to which the amount is transfered.
 * @param amount float The amount being transferred from the fromAcctId to the toAcctId.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 * @exception javax.ejb.FinderException The specified account Id was not found.
 * @exception com.ibm.ejs.doc.account.InsufficientFundsException The account identified by
 * the toAcctId contained less than the amount requested for transfer.
 */
void transferFunds(long fromAcctId, long toAcctId, float amount) 
	throws InsufficientFundsException, RemoteException, FinderException;
}
