package WebSphereSamples.HelloEJB;

//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: ejbdemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1999
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//



import java.util.ListResourceBundle;

/**
  The <b>HelloEJBServletResourceBundle</b> provides locale specific
  support for the <b>HelloEJBServlet</b> class.
  Within IBM, "locale specific support" is also known
  as "National Language Support" or "NLS."

*/
public class HelloEJBServletResourceBundle extends ListResourceBundle {

  // copyright notice
  private final static String kIBMCopyright =
          "(c) Copyright IBM Corporation 1999";

  /**
    Constructs a new <b>HelloEJBServletResourceBundle</b>.
  */
  public HelloEJBServletResourceBundle () {
    super();
  }

  /**
    Returns the two-dimensional array of Strings which provide the
    locale specific support.  The array is a set of non-variant keys
    which map to the locale specific implementation of the "message."

    @return Two-dimensional array of Strings.
  */
  public Object[][] getContents() {
     return contents;
  }

  /**
    Final, static instance variable which holds the locale specific information.
  */
  static final Object[][] contents = {
    // LOCALIZE THIS

    // status text
    {"creating",          "Creating the EJB on the server..."},
    {"retrieving",        "Retrieving the message..."},
    {"removing",          "Removing the EJB from the server..."},
    {"done",              "Done."},

    // error text
    {"remoteException",   "ERROR: Remote exception: "},  // include a trailing blank
    {"generalException",  "ERROR: General exception: "}, // include a trailing blank
    {"noHome",            "ERROR: Cannot find Hello EJB's home."},
    {"noProp",            "ERROR: The system property \"{0}\" is not set."},

    // END OF MATERIAL TO LOCALIZE
  };
}
