package WebSphereSamples.Increment;

/**
 * This is an Enterprise Java Bean Remote Interface. The container
 * uses this interface to create and instantiate an EJBObject.
 * The EJBObject works as a proxy between the client and the 
 * Enterprise Java Bean, which is IncrementBean in this example.
 * each application-specific method in the Enterprise Java Bean
 * must have a corresponding method in the Remote Interface.
 */
public interface Increment extends javax.ejb.EJBObject 
{

/**
 * Corresponds to the getCount() method in IncrementBean.
 * @return int Returns the current value of the counter.
 * @exception String A RemoteException is thrown if there
 * is a problem accessing the target method.
 */
   int getCount() throws java.rmi.RemoteException;

/**
 * Corresponds to the increment() method in IncrementBean. 
 * @return int Increments and returns the current counter.
 * @exception String A RemoteException is thrown if there
 * is a problem accessing the target method.
 */
   int increment() throws java.rmi.RemoteException;

}
