package WebSphereSamples.Increment;

/** 
 * This is the primary key class, required for an Entity Bean.
 * The primary key is used to uniquely identify the EJBObject
 * within it's home. The key must be serializable.
 */
public class IncrementKey implements java.io.Serializable
{
   public java.lang.String primaryKey;

/**
 * Default constructor
 */
   public IncrementKey()
   {
      super();
   }

/**
 * Initialize a key from the passed values
 * @param argPrimaryKey java.lang.String
 */
   public IncrementKey(java.lang.String argPrimaryKey) 
   {
      primaryKey = argPrimaryKey;
   }

/**
 * equals method
 * @return boolean
 * @param o java.lang.Object
 */
   public boolean equals(Object o) 
   {
      if (o instanceof IncrementKey)
      {
         IncrementKey otherKey = (IncrementKey) o;
         return ((primaryKey.equals(otherKey.primaryKey)));
      }
      else
         return false;
   }

/**
 * hashCode method
 * @return int
 */
   public int hashCode() 
   {
      return (primaryKey.hashCode());
   }

}
